/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: string.h 1.8 90/06/25 $@(#)head:string.h	1.7"

/*----------------------------------------------------------------------*
 * This file must meet the requirements in volume 2 of the X/Open	*
 * Portability Guide, Issue 3, which should be consulted before any	*
 * changes are made.							*
 *----------------------------------------------------------------------*/

#ifndef	_STRING_H_

#ifndef NULL
#define NULL	0
#endif	/* NULL */

#ifndef NO_XPG3_HDR
#ifndef _SIZE_T
typedef unsigned int size_t;
#define _SIZE_T
#endif	/* _SIZE_T */
#endif	/* NO_XPG3_HDR */

extern char	*strcpy();
extern char	*strncpy();
extern char	*strcat();
extern char	*strncat();
extern char	*strchr();
extern char	*strrchr();
extern char	*strpbrk();
extern char	*strtok();
extern char	*strdup();
extern char	*strstr();
extern char	*strerror();

extern int	strcmp();
extern int	strncmp();
#ifndef NO_XPG3_HDR
extern size_t	strlen();
extern size_t	strspn();
extern size_t	strcspn();
#else
extern int	strlen();
extern int	strspn();
extern int	strcspn();
#endif	/* NO_XPG3_HDR */
extern int	strcoll();

#ifndef NO_XPG3_HDR
extern size_t	strxfrm();
#else
extern int	strxfrm();
#endif	/* NO_XPG3_HDR */

#ifndef NO_XPG3_HDR
extern void	*memccpy();
extern void	*memchr();
extern void	*memcpy();
extern void	*memset();
#else
extern char	*memccpy();
extern char	*memchr();
extern char	*memcpy();
extern char	*memset();
#endif	/* NO_XPG3_HDR */

extern int	memcmp();

#define	_STRING_H_
#endif	/* _STRING_H_ */
